This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015449 - [eap6] deployment of war file fails
[eap6] deployment of war file fails
Status: VERIFIED
Product: RHQ Project
Classification: Other
Component: Agent, Core Server, Content, Plugins (Show other bugs)
4.10
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 1012435 1016112
  Show dependency treegraph
 
Reported: 2013-10-04 05:40 EDT by Filip Brychta
Modified: 2013-10-14 10:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1016112 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete logs (53.25 KB, application/x-gzip)
2013-10-04 05:40 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2013-10-04 05:40:26 EDT
Created attachment 807524 [details]
complete logs

Description of problem:
Deployment of war file on eap6 fails with following error message:
An error occured while the agent was downloading the content

Version-Release number of selected component (if applicable):
Version: 4.10.0-SNAPSHOT
Build Number: 6784f2a

How reproducible:
2/2

Steps to Reproduce:
1. have a clean RHQ installation with one remote agent and eap6 standalone running on the remote agent machine. Eap6 resource is imported in inventory and available.
2. navigate to eap6 standalone resource
3. create a new deployment (eap6 resource->Inventory->Child resources->Create Child-Deployment)

Actual results:
Creation fails with following error:
An error occured while the agent was downloading the content

There is following exception in rhq server log:
05:17:26,452 ERROR [org.rhq.enterprise.server.content.ContentSourceManagerBean] (http-/0.0.0.0:7080-4) An error occurred while streaming package bits from the database.: java.lang.RuntimeException: Stream data cannot be copied
at org.rhq.core.util.stream.StreamUtil.copy(StreamUtil.java:265) [rhq-core-util-4.10.0-SNAPSHOT.jar:4.10.0-SNAPSHOT]
	at org.rhq.core.util.stream.StreamUtil.copy(StreamUtil.java:212) [rhq-core-util-4.10.0-SNAPSHOT.jar:4.10.0-SNAPSHOT]
	at org.rhq.enterprise.server.content.ContentSourceManagerBean.outputPackageVersionBitsRangeHelper(ContentSourceManagerBean.java:2258) [rhq-server.jar:4.10.0-SNAPSHOT]
	at org.rhq.enterprise.server.content.ContentSourceManagerBean.outputPackageBitsForChildResource(ContentSourceManagerBean.java:2007) [rhq-server.jar:4.10.0-SNAPSHOT]
.
.
.
Caused by: org.rhq.enterprise.communications.command.server.AuthenticationException: Command failed to be authenticated!  This command will be ignored and not processed: Command: type=[remoteoutstream]; cmd-in-response=[false]; config=[{}]; params=[{streamId=1, invocation=NameBasedInvocation[write]}]
	at org.rhq.enterprise.communications.command.server.CommandProcessor.handleIncomingInvocationRequest(CommandProcessor.java:259) [rhq-enterprise-comm-4.10.0-SNAPSHOT.jar:4.10.0-SNAPSHOT]
	at org.rhq.enterprise.communications.command.server.CommandProcessor.invoke(CommandProcessor.java:184) [rhq-enterprise-comm-4.10.0-SNAPSHOT.jar:4.10.0-SNAPSHOT]
	at org.jboss.remoting.ServerInvoker.invoke(ServerInvoker.java:967) [jboss-remoting-2.5.4.SP4.jar:]

Expected results:
Deployment works

Additional info:
Complete server and agent logs attached.
Comment 1 John Mazzitelli 2013-10-04 10:37:57 EDT
git commit to master: dcb8508
Comment 3 Filip Brychta 2013-10-08 10:28:02 EDT
Verified on
Version: 3.2.0.ER3
Build Number: c0742ed:cbad264

Note You need to log in before you can comment on or make changes to this bug.